Package org.springframework.security.web.server.header

# Enum Class XFrameOptionsServerHttpHeadersWriter.Mode

java.lang.Object
java.lang.Enum<XFrameOptionsServerHttpHeadersWriter.Mode>
org.springframework.security.web.server.header.XFrameOptionsServerHttpHeadersWriter.Mode

All Implemented Interfaces:
  `Serializable`, `Comparable<XFrameOptionsServerHttpHeadersWriter.Mode>`, `Constable`

Enclosing class:
  XFrameOptionsServerHttpHeadersWriter

public static enum XFrameOptionsServerHttpHeadersWriter.Mode extends Enum<XFrameOptionsServerHttpHeadersWriter.Mode>
The X-Frame-Options values. There is no support for ALLOW-FROM because not all browsers support it. Consider using X-Frame-Options with Content-Security-Policy frame-ancestors.

Since:
  5.0

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DENY`
A browser receiving content with this header field MUST NOT display this content in any frame.
`SAMEORIGIN`
A browser receiving content with this header field MUST NOT display this content in any frame from a page of different origin than the content itself.

## Method Summary

Modifier and Type
Method
Description
`static XFrameOptionsServerHttpHeadersWriter.Mode`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static XFrameOptionsServerHttpHeadersWriter.Mode[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DENY

public static final XFrameOptionsServerHttpHeadersWriter.Mode DENY
A browser receiving content with this header field MUST NOT display this content in any frame.

### SAMEORIGIN

public static final XFrameOptionsServerHttpHeadersWriter.Mode SAMEORIGIN
A browser receiving content with this header field MUST NOT display this content in any frame from a page of different origin than the content itself. If a browser or plugin cannot reliably determine whether or not the origin of the content and the frame are the same, this MUST be treated as "DENY".

## Method Details

### values

public static XFrameOptionsServerHttpHeadersWriter.Mode[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static XFrameOptionsServerHttpHeadersWriter.Mode valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null